org.apache.bcel.classfile

## Class ConstantMethodref

- java.lang.Object
- - org.apache.bcel.classfile.Constant
  - - org.apache.bcel.classfile.ConstantCP
    - - org.apache.bcel.classfile.ConstantMethodref

- All Implemented Interfaces:
    Cloneable, Node

      public final class ConstantMethodref
      extends ConstantCP

  This class represents a constant pool reference to a method.

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.ConstantCP

      `class_index, name_and_type_index`

    - ### Fields inherited from class org.apache.bcel.classfile.Constant

      `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantMethodref(ConstantMethodref c)` Initialize from another object.
    `ConstantMethodref(int classIndex, int nameAndTypeIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.

    - ### Methods inherited from class org.apache.bcel.classfile.ConstantCP

      `dump, getClass, getClassIndex, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex, toString`

    - ### Methods inherited from class org.apache.bcel.classfile.Constant

      `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantMethodref

          public ConstantMethodref(ConstantMethodref c)

      Initialize from another object.

    - #### ConstantMethodref

          public ConstantMethodref(int classIndex,
                                   int nameAndTypeIndex)

      Parameters:
        `classIndex` - Reference to the class containing the method
        `nameAndTypeIndex` - and the method signature

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Constant`
      Parameters:
        `v` - Visitor object

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.